Subject: RE: [Monami6] Accept draft-wakikawa-mobileip-multiplecoa-04.txt asMonami6 WG Document

From: Gerardo Giaretta <[email-masked]>
Date: Wed, 02 Nov 2005 10:57:38 +0100

Hi Romain, 

please see one comment below..

> Hello,
> 
> Ryuji Wakikawa wrote:
> >>However, I think we should allow several CoAs per interface 
> in the spec.
> > 
> > 
> > Again, the current MCoA support this :-)
> 
> I have a technical question about that: if the interface is 
> supposed to 
> support several CoAs per interface, it means that it can configure 
> several CoA from several prefixes advertised on a foreign 
> link. Let say 
> that each prefix is advertised by a different Access Router (P1 
> advertised by AR1, P2 advettised by AR2). How does the node 
> can make the 
> difference between 2 prefixes advertised on the same link and 
> 2 prefixes 
> advertised on different link? I mean, if the MN first configure CoA1 
> from P1, and then receive a RA with P2, the MN may think it 
> has move in 
> another foreign link and replace CoA1 with CoA2.
> 

It seems to me that this issue is not specific to MCoA draft or to a
multihomed node. A MN with one interface with the possibility to
register only one CoA (i.e. a RFC3775 MN) may have the same issue. I
guess DNA solution will solve this issue. 

Do you see any MCoA-specific issue on the movement detection mechanism
issue you highlighted?

--Gerardo

> Regards,
> 
> -- 
> Romain KUNTZ
> [email-masked]
> 
> _______________________________________________
> Monami6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/monami6
> 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to 
[email-masked]. Thank you
====================================================================

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6

---

From: Romain KUNTZ <[email-masked]>
Date: Wed, 02 Nov 2005 22:55:26 +0900

Hi Gerardo,

Gerardo Giaretta wrote:
> register only one CoA (i.e. a RFC3775 MN) may have the same issue. 

Indeed, it's not a MCoA specific problem. But it can be considered as a 
multihoming problem if we stick to one of the definition of multihoming 
(multiple addresses configured on one interface). As Nicolas was raising 
the fact that the MN should be able to handle multiple CoA on a single 
interface, I raised this issue.

It is not related directly to MCoA, so I separated the thread.

 > I guess DNA solution will solve this issue.

Any pointers?
The only solution I see at the moment is to test the reachability of the 
"old" router when you get a "new" RA from a new router

Regards,

-- 
Romain KUNTZ
[email-masked]